/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef IP2GEOHOSTIP_H
#define IP2GEOHOSTIP_H

#include "ip2geobase.h"

#include <QObject>

class ip2geoHostip : public ip2geoBase
{
    Q_OBJECT

public:
    ip2geoHostip( const QString& ip, QObject* parent );
    KUrl constructUrl( const QString& ip );
    virtual void processResult( const QByteArray& data );

private:
    QString m_ip;
};

#endif // IP2GEOHOSTIP_H
